#
# spec file for package python-psautohint
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module()python3-%{**}}
%define skip_python2 1
Name:           python-psautohint
Version:        2.4.0
Release:        1.9
Summary:        Python wrapper for Adobe's PostScript autohinter
License:        Apache-2.0
URL:            https://github.com/adobe-type-tools/psautohint
Source:         https://files.pythonhosted.org/packages/source/p/psautohint/psautohint-%{version}.tar.gz
BuildRequires:  %{python_module devel >= 3.7}
BuildRequires:  %{python_module fs}
BuildRequires:  %{python_module setuptools_scm}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-FontTools >= 4.22.0
Requires:       python-fs
Requires(post): update-alternatives
Requires(postun):update-alternatives
# SECTION test requirements
BuildRequires:  %{python_module FontTools >= 4.22.0}
BuildRequires:  %{python_module pytest-xdist}
BuildRequires:  %{python_module pytest}
# /SECTION
%python_subpackages

%description
Python wrapper for Adobe's PostScript autohinter

%prep
%setup -q -n psautohint-%{version}

%build
export CFLAGS="%{optflags}"
%python_build

%install
%python_install

%python_clone -a %{buildroot}%{_bindir}/psautohint
%python_clone -a %{buildroot}%{_bindir}/psstemhist
%python_expand %fdupes %{buildroot}%{$python_sitearch}

%check
%pytest_arch tests/unittests

%post
%python_install_alternative psautohint psstemhist

%postun
%python_uninstall_alternative psautohint psstemhist

%files %{python_files}
%doc NEWS.md README.md
%license COPYING LICENSE
%python_alternative %{_bindir}/psautohint
%python_alternative %{_bindir}/psstemhist
%{python_sitearch}/psautohint
%{python_sitearch}/psautohint-%{version}*-info

%changelog
* Mon Mar  7 2022 Ben Greiner <code@bnavigator.de>
- Update to 2.4.0
  * Dropped Python 3.6 support - Python 3.7 is now the minimum
    requirement
  * Added Python 3.10 support
- Release
  * Updated for fontTools rounding changes (thanks, @madig!) (#301)
* Mon Apr 19 2021 Matej Cepl <mcepl@suse.com>
- Update to 2.3.0:
  - Fixed a major performance issue when hinting VFs (thanks,
    @madig!) (#289, #221)
  - Updated dependencies (#290, #291, #292)
  - Removed unused third-party CI configs and related code
  - Updated dependencies
  - Removed deprecated CLI option flags that were temporarily in
    place for the autohint -> psautohint transition
  - Cleaned up Python code
- Add missing fs BR
* Sat Feb 13 2021 Dirk Müller <dmueller@suse.com>
- skip python 36 (no scipy needed by FontTools)
* Mon Aug 17 2020 Dirk Mueller <dmueller@suse.com>
- update to 2.1.0
  * no changelog available
* Tue May 26 2020 Tomáš Chvátal <tchvatal@suse.com>
- Setup.py says they need 3.32.0 FontTools but in reality they
  need 4.5.0 or newer based on the API
* Wed May 20 2020 Antonio Larrosa <alarrosa@suse.com>
- Initial release of python-psautohint
